%define name nant
%define version 0.86
%define prerel beta1
%define fname %name-%version-%prerel-src
%define rel 0.%prerel.2

Summary: Build tool for Mono and .NET
Name: %{name}
Version: %{version}
Release: %mkrel %rel
Epoch: 1
Source0: http://prdownloads.sourceforge.net/nant/%{fname}.tar.gz
#gw from cvs, fix upstream bug 1850383
Patch: nant-fix-useruntimeengine-override.patch
License: GPL
Group: Development/Other
Url: http://nant.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
#gw required for mono.pc
Requires: mono-devel
BuildRequires: mono-devel
BuildArch: noarch

%description
NAnt is a free .NET build tool. In theory it is kind of like make
without make's wrinkles. In practice it's a lot like Ant.

%prep
%setup -q -n %name-%version-%prerel
find . -type d|xargs chmod 755
find . -type f|xargs chmod 644
# remove DOS line endings
find doc src -type f |xargs perl -pi -e "s/\r\n/\n/"
cd src/NAnt.Core/Tasks/
%patch -p0 -b .useruntimeengine
cd ../../..

%build
#gw to find the log4net.dll
export MONO_PATH=`pwd`/lib
make prefix=/usr/

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
perl -pi -e "s%buildroot" %buildroot%_bindir/%name
find examples -name \*.dll -o -name \*.exe|xargs rm -f
rm -rf %buildroot%_datadir/NAnt/doc

# gw fix paths in the nant script
perl -pi -e "s^%_libdir/pkgconfig/../../bin^%_bindir^" %buildroot%_bindir/nant

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README.txt doc/* examples
%_bindir/%name
%_datadir/NAnt/




%changelog
* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1:0.86-0.beta1.2mdv2009.0
+ Revision: 170442
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 18 2007 Götz Waschk <waschk@mandriva.org> 1:0.86-0.beta1.2mdv2008.1
+ Revision: 132901
- patch to make it build boo again

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 13 2007 Götz Waschk <waschk@mandriva.org> 1:0.86-0.beta1.1mdv2008.1
+ Revision: 119367
- new version
- drop patch

* Tue Oct 16 2007 Götz Waschk <waschk@mandriva.org> 1:0.85-3mdv2008.1
+ Revision: 98913
- fix build with new mono


* Mon Oct 16 2006 Götz Waschk <waschk@mandriva.org> 0.85-2mdv2006.0
+ Revision: 65449
+ Status: not released
- fix startup script

* Mon Oct 16 2006 Götz Waschk <waschk@mandriva.org> 1:0.85-1mdv2007.1
+ Revision: 65387
- Import nant

* Mon Oct 16 2006 Gtz Waschk <waschk@mandriva.org> 0.85-1mdv2007.1
- unpack patch
- new version

* Sat Jun 03 2006 Gtz Waschk <waschk@mandriva.org> 0.85-0.rc4.1mdv2007.0
- new version

* Mon Dec 12 2005 Gtz Waschk <waschk@mandriva.org> 0.85-0.rc3.20051203.1mdk
- drop merged patch 0
- fix build
- new version

* Wed Nov 09 2005 Gtz Waschk <waschk@mandriva.org> 0.85-0.rc3.4mdk
- fix build
- rebuild for new mono

* Tue May 24 2005 Gtz Waschk <waschk@mandriva.org> 1:0.85-0.rc3.3mdk
- fix deps

* Tue May 24 2005 Gtz Waschk <waschk@mandriva.org> 0.85-0.rc3.2mdk
- patch to fix build with mono 1.1.7
- requires mono

* Thu Apr 21 2005 Gtz Waschk <waschk@mandriva.org> 0.85-0.rc3.1mdk
- fix build
- new version

* Tue Apr 19 2005 Gtz Waschk <waschk@mandriva.org> 0.85-0.rc2.2mdk
- Rebuild

* Sat Apr 02 2005 Gtz Waschk <waschk@linux-mandrake.com> 1:0.85-0.rc2.1mdk
- new version

* Sat Oct 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.85-0.20041021.1mdk
- new snapshot
- fix buildrequires

* Fri Oct 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.85-0.20041020.1mdk
- initial package

